> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entityml.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage

> Return current monthly API usage and plan limit for a user.

## Request

<ParamField query="user_id" type="string" required>
  User ID to inspect.
</ParamField>

## Response

<ResponseField name="user_id" type="string" />

<ResponseField name="tier" type="string" />

<ResponseField name="tier_name" type="string" />

<ResponseField name="api_calls" type="integer" />

<ResponseField name="limit" type="integer" />

<ResponseField name="remaining" type="integer" />

<ResponseField name="month" type="string" />

<ResponseField name="unlimited" type="boolean" />

## Example

<CodeGroup>
  ```python Python SDK theme={null}
  from entityml import EntityMLClient

  client = EntityMLClient()
  usage = client.billing.get_usage(user_id="YOUR_USER_ID")
  print(usage["api_calls"])
  ```

  ```bash CLI theme={null}
  entityml billing usage --user-id YOUR_USER_ID
  ```

  ```bash Raw HTTP (cURL) theme={null}
  curl "https://api.entityml.com/api/v1/usage?user_id=YOUR_USER_ID"
  ```
</CodeGroup>

### Example response

```json theme={null}
{
  "user_id": "YOUR_USER_ID",
  "tier": "pro",
  "tier_name": "Pro",
  "api_calls": 1284,
  "limit": null,
  "remaining": null,
  "month": "2026-05",
  "unlimited": true
}
```
